Last Comment Bug 541387 - [@ nsPop3IncomingServer::GetDeferredToAccount(nsACString_internal&)] Thunderbird will not start
: [@ nsPop3IncomingServer::GetDeferredToAccount(nsACString_internal&)] Thunderb...
Status: RESOLVED FIXED
[ccbr]
: crash, fixed-seamonkey2.0.3, regression
Product: MailNews Core
Classification: Components
Component: Networking: POP (show other bugs)
: 1.9.1 Branch
: x86 Windows XP
: -- critical (vote)
: Thunderbird 3.1b1
Assigned To: timeless
:
Mentors:
: 541947 (view as bug list)
Depends on:
Blocks: 538414
  Show dependency treegraph
 
Reported: 2010-01-22 07:35 PST by messenger.ian@gmail.com
Modified: 2011-06-13 10:01 PDT (History)
6 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
.2+
.2-fixed


Attachments
proposal (765 bytes, patch)
2010-01-25 02:44 PST, timeless
mozilla: review+
standard8: superreview+
standard8: approval‑thunderbird3.0.2+
Details | Diff | Splinter Review
Document possible null return value. (755 bytes, patch)
2010-02-01 04:27 PST, Mark Banner (:standard8)
mozilla: review+
mozilla: superreview+
standard8: approval‑thunderbird3.0.2+
Details | Diff | Splinter Review

Description messenger.ian@gmail.com 2010-01-22 07:35:32 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.1.7) Gecko/20091221 Firefox/3.5.7 GTB6 (.NET CLR 3.5.30729)
Build Identifier: BuildID: 20100111101938

I auto-updated his morning from 3.0 to 3.01. Thunderbird will not start any more. I sometimes get a memory error (cannot read?), but not all the time. Goes to report screen, with these results:
Add-ons: {e2fda1a4-762b-4020-b5ad-a41df1933103}:1.0b1,{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}:0.6b1,{972ce4c6-7e08-4474-a285-3208198ce6fd}:3.0.1
BuildID: 20100111101938
CrashTime: 1264174171
Email:xxxxxxxx@xxxxx
InstallTime: 1264150194
ProductName: Thunderbird
SecondsSinceLastCrash: 5709
StartupTime: 1264174167
Theme: classic/1.0
Throttleable: 1
URL: 

I have tried starting in safe mode, but exactly the same thing happens.

Reproducible: Always




I cannot now access my emails, business is sinking fast !
Comment 1 messenger.ian@gmail.com 2010-01-22 07:44:06 PST
Additional info on memory error
0x00487e66 at 0x0000000024 the memory could not be "read"
Comment 2 Matthias Versen [:Matti] 2010-01-22 12:00:55 PST
DO you already tried http://kb.mozillazine.org/Safe_mode ?
Do you get the Mozilla crash reporter after the crash ?
Comment 3 messenger.ian@gmail.com 2010-01-23 02:50:03 PST
Yes, I tried safe mode and the result is exactly the same.
Yes, I did get the crash report - visible details are shown above
Comment 4 Matthias Versen [:Matti] 2010-01-23 11:31:49 PST
We need the crash ID of the report.
You can find the ID if you follow https://developer.mozilla.org/en/How_to_get_a_stacktrace_for_a_bug_report#Accessing_crash_report_IDs_outside_of_Firefox (replace Firefox with Thunderbird in the path).

Can you please also try a new profile :
http://kb.mozillazine.org/Profile_Manager
Comment 5 messenger.ian@gmail.com 2010-01-24 23:21:49 PST
There are several crash reports, one of them is
Crash ID: bp-0d71f9e5-c481-499d-adba-000382100122

I have also tried a new profile, Thunderbird loaded, but crashed as soon as I copied the old profile data into the new profile directory
Comment 6 Matthias Versen [:Matti] 2010-01-24 23:33:16 PST
0  	thunderbird.exe  	nsPop3IncomingServer::GetDeferredToAccount  	 mailnews/local/src/nsPop3IncomingServer.cpp:227
1 	xpcom_core.dll 	NS_InvokeByIndex_P 	xpcom/reflect/xptcall/src/md/win32/xptcinvoke.cpp:101
2 	mozcrt19.dll 	operator new 	objdir-tb/mozilla/memory/jemalloc/src/new.cpp:54
3 	thunderbird.exe 	nsScriptSecurityManager::CanCreateWrapper 	caps/src/nsScriptSecurityManager.cpp:2898
4 	thunderbird.exe 	XPC_WN_CallMethod 	js/src/xpconnect/src/xpcwrappednativejsops.cpp:1590
Comment 7 timeless 2010-01-25 02:07:32 PST
bienvenu@4604
225 rv = acctMgr->FindAccountForServer(localServer, getter_AddRefs(localAccount));

This returns NS_OK + nsnull

226 NS_ENSURE_SUCCESS(rv, rv);

this is the wrong check

227 localAccount->GetKey(aRetVal); 

this is the crash.

my tree isn't new enough to have this code.
Comment 8 timeless 2010-01-25 02:44:04 PST
Created attachment 423322 [details] [diff] [review]
proposal
Comment 9 timeless 2010-01-25 05:09:08 PST
*** Bug 541947 has been marked as a duplicate of this bug. ***
Comment 10 Wayne Mery (:wsmwk, NI for questions) 2010-01-25 05:19:32 PST
#32 crash for 3.0.1. all during startup
Comment 11 Michael A. Pasek 2010-01-26 03:25:10 PST
(In reply to comment #7)
> 226 NS_ENSURE_SUCCESS(rv, rv);
> 
> this is the wrong check

If that's the wrong check, what _should_ it be -- and why wasn't it changed in the proposed patch ?
Comment 12 David :Bienvenu 2010-01-26 16:10:28 PST
We should be checking for errors; the check isn't wrong; we just need the additional check
Comment 13 Mark Banner (:standard8) 2010-02-01 04:27:03 PST
Created attachment 424570 [details] [diff] [review]
Document possible null return value.

I didn't want to hijack timeless' patch as I want to get that in for 3.0.2, but I will extend the bug - add a bit of documentation to indicate that FindAccountForServer may return null, so that callers can be aware if they look at the idl.
Comment 14 Mark Banner (:standard8) 2010-02-01 13:39:49 PST
Both patches checked in:
http://hg.mozilla.org/comm-central/rev/b353a7fb731d
http://hg.mozilla.org/comm-central/rev/0c73bb841289
Comment 15 Mark Banner (:standard8) 2010-02-04 08:36:59 PST
Comment on attachment 423322 [details] [diff] [review]
proposal

Low-risk obviously needed null-check patch. a=Standard8
Comment 16 Mark Banner (:standard8) 2010-02-04 08:37:21 PST
Comment on attachment 424570 [details] [diff] [review]
Document possible null return value.

Might as well take the comment-only documentation as well.
Comment 18 Ludovic Hirlimann [:Usul] 2010-02-17 06:36:58 PST
Wayne can you verify this one please ?
Comment 19 Wayne Mery (:wsmwk, NI for questions) 2010-02-18 04:34:01 PST
Is this one of those problem where they see the crash only once?
Or, will reporter be able to verify problem is gone with newer build? 
 ftp://ftp.mozilla.org/pub/thunderbird/nightly/latest-comm-1.9.1/
Comment 20 messenger.ian@gmail.com 2010-02-18 05:16:46 PST
It crashes every time - I still can't user Thunderbird
If you have a compiled Windows version, I can try it out for you !
Comment 21 Ludovic Hirlimann [:Usul] 2010-02-18 05:26:14 PST
(In reply to comment #20)
> It crashes every time - I still can't user Thunderbird
> If you have a compiled Windows version, I can try it out for you !

have a look in http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/3.0.2-candidates/build1/win32/
Comment 22 messenger.ian@gmail.com 2010-02-18 07:04:18 PST
It works now, problem solved

Many thanks

Note You need to log in before you can comment on or make changes to this bug.